MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/playlist_print.h File Reference

`#include <stdbool.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Functions
void | playlist_print_uris (struct client *client, const struct playlist *playlist)
| Sends the whole playlist to the client, song URIs only.
bool | playlist_print_info (struct client *client, const struct playlist *playlist, unsigned start, unsigned end)
| Sends a range of the playlist to the client, including all known information about the songs.
bool | playlist_print_id (struct client *client, const struct playlist *playlist, unsigned id)
| Sends the song with the specified id to the client.
bool | playlist_print_current (struct client *client, const struct playlist *playlist)
| Sends the current song to the client.
void | playlist_print_find (struct client *client, const struct playlist *playlist, const struct locate_item_list *list)
| Find songs in the playlist.
void | playlist_print_search (struct client *client, const struct playlist *playlist, const struct locate_item_list *list)
| Search for songs in the playlist.
void | playlist_print_changes_info (struct client *client, const struct playlist *playlist, uint32_t version)
| Print detailed changes since the specified playlist version.
void | playlist_print_changes_position (struct client *client, const struct playlist *playlist, uint32_t version)
| Print changes since the specified playlist version, position only.
bool | spl_print (struct client *client, const char *name_utf8, bool detail)
| Send the stored playlist to the client.
bool | playlist_file_print (struct client *client, const char *uri, bool detail)
| Send the playlist file to the client.

## Function Documentation

bool playlist_file_print | ( | struct client * | client,
|  | const char * | uri,
|  | bool | detail
| ) |  |

Send the playlist file to the client.

Parameters:

  client | the client which requested the playlist
  uri | the URI of the playlist file in UTF-8 encoding
  detail | true if all details should be printed

Returns:
  true on success, false if the playlist does not exist

void playlist_print_changes_info | ( | struct client * | client,
|  | const struct playlist * | playlist,
|  | uint32_t | version
| ) |  |

Print detailed changes since the specified playlist version.

void playlist_print_changes_position | ( | struct client * | client,
|  | const struct playlist * | playlist,
|  | uint32_t | version
| ) |  |

Print changes since the specified playlist version, position only.

bool playlist_print_current | ( | struct client * | client,
|  | const struct playlist * | playlist
| ) |  |

Sends the current song to the client.

Returns:
  true on success, false if there is no current song

void playlist_print_find | ( | struct client * | client,
|  | const struct playlist * | playlist,
|  | const struct locate_item_list * | list
| ) |  |

Find songs in the playlist.

bool playlist_print_id | ( | struct client * | client,
|  | const struct playlist * | playlist,
|  | unsigned | id
| ) |  |

Sends the song with the specified id to the client.

Returns:
  true on suite, false if there is no such song

bool playlist_print_info | ( | struct client * | client,
|  | const struct playlist * | playlist,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

Sends a range of the playlist to the client, including all known information about the songs.

The "end" offset is decreased automatically if it is too large; passing UINT_MAX is allowed. This function however fails when the start offset is invalid.

void playlist_print_search | ( | struct client * | client,
|  | const struct playlist * | playlist,
|  | const struct locate_item_list * | list
| ) |  |

Search for songs in the playlist.

void playlist_print_uris | ( | struct client * | client,
|  | const struct playlist * | playlist
| ) |  |

Sends the whole playlist to the client, song URIs only.

bool spl_print | ( | struct client * | client,
|  | const char * | name_utf8,
|  | bool | detail
| ) |  |

Send the stored playlist to the client.

Parameters:

  client | the client which requested the playlist
  name_utf8 | the name of the stored playlist in UTF-8 encoding
  detail | true if all details should be printed

Returns:
  true on success, false if the playlist does not exist